> For the complete documentation index, see [llms.txt](https://docs.validator247.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validator247.com/mainnet/dymension.md).

# Dymension

Make sure you have the latest Go build and system components installed

Install Cosmovisor

```
go install github.com/cosmos/cosmos-sdk/cosmovisor/cmd/cosmovisor@v1.0.0
```

Install Node

```
git clone https://github.com/dymensionxyz/dymension.git dymension
cd dymension
git checkout v3.1.0
make install
```

Initialize Node&#x20;

```
dymd init YOUR_MONIKER --chain-id dymension_1100-1
```

Download Genesis

```
wget -O genesis.json https://snapshots.polkachu.com/genesis/dymension/genesis.json --inet4-only
mv genesis.json ~/.dymension/config
```

Configure Seed

```
sed -i 's/seeds = ""/seeds = "ade4d8bc8cbe014af6ebdf3cb7b1e9ad36f412c0@seeds.polkachu.com:20556"/' ~/.dymension/config/config.toml
```

Configure Cosmovisor Folder

```
# Create Cosmovisor Folders
mkdir -p ~/.dymension/cosmovisor/genesis/bin
mkdir -p ~/.dymension/cosmovisor/upgrades

# Load Node Binary into Cosmovisor Folder
cp ~/go/bin/dymd ~/.dymension/cosmovisor/genesis/bin
```

Create Service File

```
sudo tee /etc/systemd/system/dymd.service > /dev/null <<EOF
[Unit]
Description=dymd Daemon
After=network-online.target
[Service]
User=$USER
ExecStart=$(which dymd) start
Restart=always
RestartSec=3
LimitNOFILE=65535
[Install]
WantedBy=multi-user.target
EOF

sudo systemctl daemon-reload
sudo systemctl enable dymd
```

## Download Snapshot

Install lz4 if needed

```
sudo apt update
sudo apt install snapd -y
sudo snap install lz4
```

Download the snapshot

```
curl -o - -L https://snapshots.polkachu.com/snapshots/dymension/dymension_1170907.tar.lz4 | lz4 -c -d - | tar -x -C $HOME/.dymension
```

Launch Node

```
sudo systemctl restart dymd
journalctl -u dymd -f -o cat
```

## Wallet & Validator

Add new key

```
dymd keys add wallet
```

Recover existing key

```
dymd keys add wallet --recover
```

Create Validator

```
dymd tx staking create-validator \
  --amount 1000000adym \
  --commission-max-change-rate "0.05" \
  --commission-max-rate "0.10" \
  --commission-rate "0.05" \
  --min-self-delegation "1" \
  --pubkey=$(dymd tendermint show-validator) \
  --moniker 'Your_nodename' \
  --website "Your_website" \
  --identity "your_keybase" \
  --details "I Love Validator247" \
  --security-contact "Your_mail" \
  --chain-id dymension_1100-1 \
  --gas auto --gas-prices 20000000000adym \
  --gas-adjustment 1.6 \
  --from wallet -y
```

## DONE


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validator247.com/mainnet/dymension.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
